<CsoundSynthesizer>
<CsInstruments>
sr      = 44100
ksmps   = 20
nchnls  = 2

; p2 = start
; p3 = dur
; p4 = amp
; p5 = pitch (oct.pc)
; p6 = low cf
; p7 = hi cf
; p8 = resonance (usually < 1)
; p9 = random freq amount (mult of base freq)
; p10 = vibrato freq
; p11 = vibrato amp
;
; f1 = waveform
; f2 = amp env
; f3 = filt cf envelope

instr 1
	icfrange = p7 - p6
	seed		0
	irand1	random		0, p9*cpspch(p5)
	irand2	random		0, p9*cpspch(p5)
	irand3	random		0, p9*cpspch(p5)

	kamp		oscil1i		0, 1, p3, 2
	kvib		lfo			p11, p10
	aosc1		oscili		p4*kamp/3, cpspch(p5)+irand1+kvib, 1
	aosc2		oscili		p4*kamp/3, cpspch(p5)+irand2+kvib, 1
	aosc3		oscili		p4*kamp/3, cpspch(p5)+irand3+kvib, 1
	kcf		oscil1i		0, icfrange, p3, 3
	afilt		moogladder	aosc1+aosc2+aosc3, kcf+p6, p8
	outs	afilt, afilt
endin

</CsInstruments>
<CsScore>
f1 0 1024 7 1.0  1024  -1.0 ; sawtooth wave
f2 0 1024 27 0 0  200 1  800 1  1024 0
f3 0 1024 27  0 0  512 1   1024 0

i 1 0 1.5 10000 7.05 300 2000 0.8  0.02  3.5 3.0
i 1 1.7 1.5 10000 7.00 400 3000 0.9  0.02  3.5 3.0
i 1 4.0 2.5 10000 6.00 100 4000 0.99  0.02   3.5 3.0
i 1 7.7 3.5 10000 5.07 100 5000 0.5  0.02   3.5 3.0

e
</CsScore>
</CsoundSynthesizer>
