<CsoundSynthesizer>
<CsInstruments>
sr      = 44100
ksmps   = 1
nchnls  = 2

/*
	p2 = start
	p3 = total duration
	p4 = amp
	p5 = pitch (oct.pc)
	p6 = grain dur
	p7 = max grain space (multiplier of grain dur; min is always 1 grain dur)

	f1 = waveform
	f2 = grain envelope
*/


instr 1
	igrsamps = p6 * sr
	igoto init
	goto continue

 init:
	kcount = 0
	krestart = 0

 continue:
	if (kcount < igrsamps) then
		aenv	oscili		1, 1/p6, 2
		aout 	oscili		p4*aenv, cpspch(p5), 1
	else
		aout = 0
	endif

	adel		delay		aout, 0.1
	aleft, aright	freeverb		aout, adel, 0.99, 0.0
	outs aleft, aright

	kcount = kcount + 1

	if (kcount > krestart) then
		kcount = 0
		krand 	random 0, 1
		krestart = krand*p7*igrsamps + igrsamps
	endif
endin

</CsInstruments>
<CsScore>
f1 0 1024 10 1
f2 0 1024 20 1 ; hamming window

i 1 0 10 1000  9.00  0.05  2
i 1 0 10 1000  9.00  0.05  2
i 1 0 10 1000  9.07  0.05  2
i 1 0 10 1000  9.07  0.05  2
i 1 0 10 1000  9.10  0.05  2
i 1 0 10 1000  9.10  0.05  2
i 1 0 10 1000  10.00  0.05  2
i 1 0 10 1000  10.00  0.05  2
i 1 0 10 1000  10.03  0.05  2
i 1 0 10 1000  10.03  0.05  2

e
</CsScore>
</CsoundSynthesizer>
